## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.TypedPrecedingIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.PrecedingIterator
                        |
                        +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.TypedPrecedingIterator

public final class SAX2DTM2.TypedPrecedingIterator
extends SAX2DTM2.PrecedingIterator

Iterator that returns preceding nodes of agiven type for a given node. This includes the node set {root+1, start-1}, but excludes all ancestors.

Constructor Summary
`SAX2DTM2.TypedPrecedingIterator(int type)` Constructor TypedPrecedingIterator

Method Summary
`int` `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.PrecedingIterator
`cloneIterator, gotoMark, isReverse, reset, setMark, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.TypedPrecedingIterator

    public SAX2DTM2.TypedPrecedingIterator(int type)

  Constructor TypedPrecedingIterator
  Parameters:
    `type` - The extended type ID being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.
  Overrides:
    next in class SAX2DTM2.PrecedingIterator

Copyright © 2006 Apache XML Project. All Rights Reserved.